
   ifndef _MATH_INCLUDES
#define _MATH_INCLUDES  1
   endif

; -------------------------------------------------------------------------------------------------------
; DEFINICAO DE REGISTRADORES PARA AS ROTINAS ARITMETICAS DE 32 BIYS "MATH.ASM".     Spinelli - 30/06/2011
;
; ADAPTACAO DAS FUNCOES ARITMETICAS DE 32 BITS PARA FAMILIA 16 E 18F EM FORMA DE LIBRARIES.
;
; A PARTIR DE 01/08/2011 AS FUNCOES ARITMETICAS FORAM COMPILADAS EM BIBLIOTECAS ESPECIAIS
; PARA CADA MICROCONTROLADOR. 
;
; Antes de incluir este arquivo no programa, defina "UDATA 0xNN" onde NN e o endereco
; inicial para as variaveis aqui declaradas. 
; Para familia 16F ---> DATA  0x020, 
; Para familia 18F ---> DATA  0x080.
;
; NAO MODIFIQUE AS POSICOES DAS VARIAVEIS.
; -------------------------------------------------------------------------------------------------------
  ifdef _EXTERNAL_SERVICES
    EXTERN clra
    EXTERN clrb
 if __FAMILIA==16 
    error "CLRC e uma instrucao"
 else
    EXTERN clrc
 endif
    EXTERN clrdig
    EXTERN subtract
    EXTERN add
    EXTERN multiply
    EXTERN divide
    EXTERN sqrt
    EXTERN bin2dec
    EXTERN dec2bin

    EXTERN absa
    EXTERN absb
    EXTERN negatea
    EXTERN negateb

  IF __FAMILIA==18
    GLOBAL SVStatus
  ENDIF

    GLOBAL REGA3
    GLOBAL REGA2
    GLOBAL REGA1
    GLOBAL REGA0
    GLOBAL REGB3
    GLOBAL REGB2
    GLOBAL REGB1
    GLOBAL REGB0
    GLOBAL REGC3
    GLOBAL REGC2
    GLOBAL REGC1
    GLOBAL REGC0
    GLOBAL DSIGN
    GLOBAL DIGIT1
    GLOBAL DIGIT2
    GLOBAL DIGIT3
    GLOBAL DIGIT4
    GLOBAL DIGIT5
    GLOBAL DIGIT6
    GLOBAL DIGIT7
    GLOBAL DIGIT8
    GLOBAL DIGIT9
    GLOBAL DIGIT10
    GLOBAL MTEMP
    GLOBAL MCOUNT
    GLOBAL DCOUNT
 endif                ; ifdef _EXTERNAL_SERVICES


REGA3	res 1 
REGA2	res 1
REGA1	res 1
REGA0	res 1 

REGB3	res 1 
REGB2	res 1
REGB1	res 1
REGB0	res 1 

REGC3	res 1 
REGC2	res 1
REGC1	res 1
REGC0	res 1 

DSIGN   res 1 
DIGIT1	res 1 
DIGIT2	res 1
DIGIT3	res 1
DIGIT4	res 1
DIGIT5	res 1 
DIGIT6	res 1
DIGIT7	res 1
DIGIT8	res 1
DIGIT9	res 1
DIGIT10	res 1 

MTEMP	res 1
MCOUNT	res 1
DCOUNT	res 1




; Os registradores abaixo foram eliminados em 21/12/2017.
; Ver observacoes no registro de mofificacoes, no arquivo
; ..\..\Services\math_services.inc.
;  if __FAMILIA==18 
;SVStatus   res 1
;SVFSR0L    res 1
;SVFSR0H    res 1
;SVFSR1L    res 1
;SVFSR1H    res 1
;SVFSR2L    res 1
;SVFSR2H    res 1
; endif
